add_library(
  keydistribution_common STATIC
  utility.cpp
  openssl_utility.cpp)

target_include_directories(
  keydistribution_common
  PUBLIC 
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${OE_INCLUDEDIR})

target_compile_features(keydistribution_common PUBLIC cxx_std_17)
